# -*- coding: utf-8 -*-
# cython:language_level=3str
####################################################################################
#
#    STEPS - STochastic Engine for Pathway Simulation
#    Copyright (C) 2007-2023 Okinawa Institute of Science and Technology, Japan.
#    Copyright (C) 2003-2006 University of Antwerp, Belgium.
#    
#    See the file AUTHORS for details.
#    This file is part of STEPS.
#    
#    STEPS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License version 3,
#    as published by the Free Software Foundation.
#    
#    STEPS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#    GNU General Public License for more details.
#    
#    You should have received a copy of the GNU General Public License
#    along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#################################################################################   
###

# =====================================================================================================================
# These bindings were automatically generated by cyWrap. Please do dot modify.
# Additional functionality shall be implemented in sub-classes.
#
__copyright__ = "Copyright 2016 EPFL BBP-project"
# =====================================================================================================================

from cython.operator cimport dereference as deref
#from libcpp.memory cimport unique_ptr, shared_ptr
cimport std
from libcpp cimport bool
from libc.stdio cimport printf, sprintf #debug

include "cysteps__globals.pyx"


# ======================================================================================================================
# Bindings to main namespace
# ======================================================================================================================
from steps cimport *

#Static funcs
def _py_init():
    init()

def _py_finish():
    finish()

def _py_permeability(G, V, z, T, iconc, oconc):
    return permeability(G, V, z, T, iconc, oconc)

_USE_PETSC = USE_PETSC
_STEPS_USE_DIST_MESH = STEPS_USE_DIST_MESH
_STEPS_SUNDIALS_VERSION_MAJOR = int(STEPS_SUNDIALS_VERSION_MAJOR)

# ======================================================================================================================
# Bindings to module namespace
# ======================================================================================================================
include "cysteps_model.pyx"
include "cysteps_geom.pyx"
include "cysteps_solver.pyx"
include "cysteps_rng.pyx"
